summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2020-06-06 09:18:14 +0200
committerMichał Górny <mgorny@gentoo.org>2020-06-06 10:38:07 +0200
commitff701a1621d00d2e0d38c2cc9c6ba14f7ce04345 (patch)
tree3267a4a13e232e1dbf7a5e8357cbf592c9da3d60 /dev-python/greenlet/greenlet-0.4.16.ebuild
parentdev-python/importlib_metadata: Bump to 1.6.1 (diff)
downloadgentoo-ff701a1621d00d2e0d38c2cc9c6ba14f7ce04345.tar.gz
gentoo-ff701a1621d00d2e0d38c2cc9c6ba14f7ce04345.tar.bz2
gentoo-ff701a1621d00d2e0d38c2cc9c6ba14f7ce04345.zip
dev-python/greenlet: Bump to 0.4.16
Signed-off-by: Michał Górny <mgorny@gentoo.org>
Diffstat (limited to 'dev-python/greenlet/greenlet-0.4.16.ebuild')
-rw-r--r--dev-python/greenlet/greenlet-0.4.16.ebuild35
1 files changed, 35 insertions, 0 deletions
diff --git a/dev-python/greenlet/greenlet-0.4.16.ebuild b/dev-python/greenlet/greenlet-0.4.16.ebuild
new file mode 100644
index 00000000000..95b8ec7c7e4
--- /dev/null
+++ b/dev-python/greenlet/greenlet-0.4.16.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+# Note: greenlet is built-in in pypy
+PYTHON_COMPAT=( python2_7 python3_{6,7,8,9} )
+
+inherit distutils-r1 flag-o-matic
+
+DESCRIPTION="Lightweight in-process concurrent programming"
+HOMEPAGE="https://pypi.org/project/greenlet/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 -hppa -ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux"
+IUSE="doc"
+
+DISTUTILS_IN_SOURCE_BUILD=1
+
+distutils_enable_sphinx doc
+
+python_compile() {
+ if ! python_is_python3; then
+ local CFLAGS=${CFLAGS} CXXFLAGS=${CXXFLAGS}
+ append-flags -fno-strict-aliasing
+ fi
+
+ distutils-r1_python_compile
+}
+
+python_test() {
+ "${PYTHON}" run-tests.py -n || die "Tests fail with ${EPYTHON}"
+}